Control: tags -1 moreinfo

Hi Arnaud,

On Tue, 14 May 2019 10:19:06 +0700 Arnaud Rebillout
<arnaud.rebill...@collabora.com> wrote:
> I just had a quick look, so it turns out that:
> 
> - testing has "golang-golang-x-sys (= 0.0~git20181228.9a3f9b0-1)"
> - unstable has "golang-golang-x-sys (=0.0~git20190412.9773273-1)"
> 
> As long as I upload a source package to unstable, it will be built
> against golang-golang-x-sys from unstable, hence it will be unsuitable
> for testing.
> 
> It seems that I should instead upload to *testing-proposed-update**s*,
> am I correct?

As docker.io embeds golang-golang-x-sys (am I correct on that), yes.

> Please notice that the version of docker.io in unstable right now
> (18.09.1+dfsg1-7) has two bug fixes compared to testing:
> 
> - *#925224*, which was initially the reason to open this unblock bug
> - *#921600*, which is a bug fix I just uploaded, and I believe should
> also be part of buster
> 
> If you agree with this additional bug fix, then what version should I
> use for the package:
> 
> - testing-proposed-updates: *18.09.1+dfsg1-7+deb10u1* seems suitable
> - unstable: should I bump the version as well, so that it's above
> 18.09.1+dfsg1-7+deb10u1? Something like 18.09.1+dfsg1-7+deb11u1 (+deb11
> feels strange honestly).
> 
> Sorry to bother you with these, I'm very new and learning all these
> procedures.

A better version would be 18.09.1+dfsg1-7~deb10u1 (your want the same
version in tpu as in unstable, except with a *smaller* version), then
you don't need any changes to unstable and the sorting is still correct.

Paul

Attachment: signature.asc
Description: OpenPGP digital signature

Reply via email to